#!/usr/bin/env python
# Generated by jaraco.develop 2.17.1
# https://pypi.python.org/pypi/jaraco.develop

import io
import sys
import itertools

import setuptools

with io.open('README.txt', encoding='utf-8') as readme:
	long_description = readme.read()

needs_pytest = {'pytest', 'test'}.intersection(sys.argv)
pytest_runner = ['pytest_runner'] if needs_pytest else []
needs_sphinx = {'release', 'build_sphinx', 'upload_docs'}.intersection(sys.argv)
sphinx = ['sphinx'] if needs_sphinx else []

# richxerox has invalid versions in PyPI, so exclude them
# https://bitbucket.org/jeunice/richxerox/issues/2
bad_versions = itertools.chain(range(1,12), [127, 128])
bad_version_specs = map('!=0.{0:02d}'.format, bad_versions)
richxerox = 'richxerox' + ','.join(bad_version_specs)

setup_params = dict(
	name='jaraco.clipboard',
	use_scm_version=True,
	author="Jason R. Coombs",
	author_email="jaraco@jaraco.com",
	description="jaraco.clipboard",
	long_description=long_description,
	url="https://bitbucket.org/jaraco/jaraco.clipboard",
	packages=setuptools.find_packages(),
	include_package_data=True,
	namespace_packages=['jaraco'],
	install_requires=[
	],
	extras_require={
		':sys_platform=="win32"': 'jaraco.windows>=3.4',
		':sys_platform=="darwin"': richxerox,
	},
	setup_requires=[
		'setuptools_scm',
	] + pytest_runner + sphinx,
	tests_require=[
		'pytest',
	],
	classifiers=[
		"Development Status :: 5 - Production/Stable",
		"Intended Audience :: Developers",
		"License :: OSI Approved :: MIT License",
		"Programming Language :: Python :: 2.7",
		"Programming Language :: Python :: 3",
	],
	entry_points={
	},
)
if __name__ == '__main__':
	setuptools.setup(**setup_params)
